## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.7

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# StylesheetExecutionContextDefault Class Reference

`#include <StylesheetExecutionContextDefault.hpp>`

Inheritance diagram for StylesheetExecutionContextDefault

Collaboration diagram for StylesheetExecutionContextDefault:

List of all members.

## Public Types

- typedef clock_t ClockType
- typedef std::deque<const ElemTemplateElement*> ElementTemplateElementStackType
- typedef std::vector<FormatterListener*> FormatterListenerVectorType
- typedef std::vector<PrintWriter*> PrintWriterVectorType
- typedef std::vector<XalanOutputStream*> OutputStreamVectorType
- typedef std::set<const KeyDeclaration*> KeyDeclarationSetType
- typedef std::pair<const XPath*,
  ClockType> XPathCacheEntry
- typedef std::map<XalanDOMString,
  XPathCacheEntry> XPathCacheMapType
- typedef std::deque<const ElemTemplate*> CurrentTemplateStackType
- typedef Stylesheet::KeyTablesTableType KeyTablesTableType
- typedef VariablesStack::ParamsVectorType ParamsVectorType
- typedef XalanCollationServices::CollationCompareFunctor CollationCompareFunctor

## Public Methods

- StylesheetExecutionContextDefault ( XSLTEngineImpl& xsltProcessor, XPathEnvSupport& theXPathEnvSupport, DOMSupport& theDOMSupport, XObjectFactory& theXObjectFactory, XalanNode* theCurrentNode = 0, const NodeRefListBase* theContextNodeList = 0, const PrefixResolver* thePrefixResolver = 0)
    Construct a StylesheetExecutionContextDefault object. More...
- StylesheetExecutionContextDefault ( XalanNode* theCurrentNode = 0, const NodeRefListBase* theContextNodeList = 0, const PrefixResolver* thePrefixResolver = 0)
    Construct a StylesheetExecutionContextDefault object. More...
- virtual ~StylesheetExecutionContextDefault ()
- bool setIgnoreHTMLElementNamespaces () const
    Set the value of the flag that controls whether HTML output will check for namespace declarations on HTML elements. More...
- void setIgnoreHTMLElementNamespaces (bool theValue)
    Set the value of the flag that controls whether HTML output will check for namespace declarations on HTML elements. More...
- void setXPathEnvSupport (XPathEnvSupport* theSupport)
    Set the XPathEnvSupport instance. More...
- void setDOMSupport (DOMSupport* theDOMSupport)
    Set the DOMSupport instance. More...
- void setXObjectFactory (XObjectFactory* theXObjectFactory)
    Set the XObjectFactory instance. More...
- void setXSLTProcessor (XSLTEngineImpl* theProcessor)
    Set the DOMSupport instance. More...
- bool getUsePerInstanceDocumentFactory () const
- void setUsePerInstanceDocumentFactory (bool fValue)
- virtual void error ( const XalanDOMString& msg, const ElemTemplateElement& styleNode, const XalanNode* sourceNode = 0) const
    Report an error and throw an exception. More...
- virtual void error ( const char* msg, const ElemTemplateElement& styleNode, const XalanNode* sourceNode = 0) const
    Report an error and throw an exception. More...
- virtual void warn ( const XalanDOMString& msg, const ElemTemplateElement& styleNode, const XalanNode* sourceNode = 0) const
    Report a warning. More...
- virtual void warn ( const char* msg, const ElemTemplateElement& styleNode, const XalanNode* sourceNode = 0) const
    Report a warning. More...
- virtual void message ( const XalanDOMString& msg, const ElemTemplateElement& styleNode, const XalanNode* sourceNode = 0) const
    Report a message. More...
- virtual void message ( const char* msg, const ElemTemplateElement& styleNode, const XalanNode* sourceNode = 0) const
    Report a message. More...
- virtual bool getQuietConflictWarnings () const
    Determine whether conflicts should be reported. More...
- virtual bool getCopyTextNodesOnly () const
    If this function returns true, only text nodes can be copied to the result tree. More...
- virtual void setCopyTextNodesOnly (bool fValue)
    Set the flag that determines if only text nodes can be copied to the result tree. More...
- virtual XalanNode* getRootDocument () const
    Retrieve root document for stylesheet. More...
- virtual void setRootDocument (XalanNode* theDocument)
    Set root document for stylesheet. More...
- virtual XalanDocument* createDocument () const
    Create a new empty document. More...
- virtual void setStylesheetRoot (const StylesheetRoot* theStylesheet)
    Set root stylesheet for stylesheet. More...
- virtual const XalanQName* getCurrentMode () const
    Retrieve the current mode. More...
- virtual void setCurrentMode (const XalanQName* theMode)
    Set the current mode. More...
- virtual const ElemTemplate* getCurrentTemplate () const
    Retrieve the current template. More...
- virtual void pushCurrentTemplate (const ElemTemplate* theTemplate)
    Set the current template. More...
- virtual void popCurrentTemplate ()
- virtual bool doDiagnosticsOutput () const
    Whether diagnostic output is to be generated. More...
- virtual void diag (const XalanDOMString& theString)
    Print a diagnostics string to the output device. More...
- virtual void pushTime (const void* theKey)
    Mark the time, so that displayDuration can later display the elapsed clock ticks. More...
- virtual void displayDuration ( const XalanDOMString& theMessage, const void* theKey)
    Display the duration since pushTime was called. More...
- virtual bool isElementPending () const
    See if there is an element pending.
- virtual void replacePendingAttribute ( const XalanDOMChar* theName, const XalanDOMChar* theNewType, const XalanDOMChar* theNewValue)
    Replace the contents of a pending attribute. More...
- virtual void pushOutputContext (FormatterListener* flistener = 0)
- virtual void popOutputContext ()
- virtual void addResultAttribute ( const XalanDOMString& aname, const XalanDOMString& value)
    Add a result attribute to the list of pending attributes. More...
- virtual void addResultAttribute ( const XalanDOMString& aname, const XalanDOMChar* value)
    Add a result attribute to the list of pending attributes. More...
- virtual void copyNamespaceAttributes (const XalanNode& src)
    Add namespace attributes for a node to the list of pending attributes. More...
- virtual const XalanDOMString* getResultPrefixForNamespace (const XalanDOMString& theNamespace) const
    Retrieve the result prefix corresponding to a namespace. More...
- virtual const XalanDOMString* getResultNamespaceForPrefix (const XalanDOMString& thePrefix) const
    Retrieve the result namespace corresponding to a prefix. More...
- virtual bool isPendingResultPrefix (const XalanDOMString& thePrefix)
    Determine whether or not a prefix is in use on the pending element or the pending attributes. More...
- virtual XalanDOMString getUniqueNamespaceValue () const
    Generate a random namespace prefix guaranteed to be unique. More...
- virtual void getUniqueNamespaceValue (XalanDOMString& theValue) const
    Generate a random namespace prefix guaranteed to be unique. More...
- virtual FormatterListener* getFormatterListener () const
    Get the current formatter listener. More...
- virtual void setFormatterListener (FormatterListener* flistener)
    Set the current formatter listener. More...
- virtual int getIndent () const
    Retrieve the current number of spaces to indent. More...
- virtual void setIndent (int indentAmount)
    Set the current number of spaces to indent. More...
- virtual const XPath* createMatchPattern ( const XalanDOMString& str, const PrefixResolver& resolver)
    Create and initialize an xpath and return it. More...
- virtual void returnXPath (const XPath* xpath)
    Return the XPath created by createMatchPattern(). More...
- virtual void pushTopLevelVariables (const ParamVectorType& topLevelParams)
    Set a list of top level variables in the specified execution context stylesheet. More...
- virtual const XObjectPtr createVariable ( const XPath& xpath, XalanNode* contextNode, const PrefixResolver& resolver)
    Execute the supplied XPath and and create a variable in the current context. More...
- virtual const XObjectPtr createVariable ( const ElemTemplateElement& templateChild, XalanNode* sourceNode)
    Create an ResultTreeFragment as a variable and push it on to the stack with the current context. More...
- virtual void pushVariable ( const XalanQName& name, const ElemTemplateElement* element, const XalanDOMString& str, XalanNode* contextNode, const PrefixResolver& resolver)
    Execute an XPath using the provided expression, and push the result as a variable in the context of the supplied element. More...
- virtual void pushVariable ( const XalanQName& name, const XObjectPtr val, const ElemTemplateElement* element)
    Push a named variable onto the variables stack. More...
- virtual void pushVariable ( const XalanQName& name, const ElemVariable* var, const ElemTemplateElement* element)
    Push a named variable onto the processor variable stack The variable will be evaluated when first referenced. More...
- virtual void pushVariable ( const XalanQName& name, const ElemTemplateElement* element, const XPath& xpath, XalanNode* contextNode, const PrefixResolver& resolver)
    Execute the supplied XPath and push the result as a variable in the current context. More...
- virtual void pushVariable ( const XalanQName& name, const ElemTemplateElement* element, const ElemTemplateElement& templateChild, XalanNode* sourceNode)
    Create an ResultTreeFragment as a variable and push it on to the stack with the current context. More...
- virtual void pushContextMarker ()
    Push a context marker onto the stack to let us know when to stop searching for a var.
- virtual void popContextMarker ()
    Pop the current context from the current context stack.
- virtual void resolveTopLevelParams ()
    Resolve the params that were pushed by the caller.
- virtual void clearTopLevelParams ()
    Reset the vector of top level parameters.
- virtual void pushParams (const ElemTemplateElement& xslCallTemplateElement)
    Given a template, search for the arguments and push them on the stack. More...
- virtual const XObjectPtr getParamVariable (const XalanQName& theName)
    Given a name, return a string representing the value, but don't look in the global space. More...
- virtual void pushElementFrame (const ElemTemplateElement* elem)
    Push a frame marker for an element. More...
- virtual void popElementFrame ()
    Pop a frame marker for an element. More...
- virtual int getGlobalStackFrameIndex () const
    Get the top of the global stack frame. More...
- virtual int getCurrentStackFrameIndex () const
    Get the top of the stack frame from where a search for a variable or param should take place. More...
- virtual void setCurrentStackFrameIndex (int currentStackFrameIndex = -1)
    Set the top of the stack frame from where a search for a variable or param should take place. More...
- virtual void startDocument ()
    Receive notification of the beginning of a document. More...
- virtual void endDocument ()
    Receive notification of the end of a document. More...
- virtual void startElement (const XalanDOMChar* name)
    Receive notification of the beginning of an element. More...
- virtual void endElement (const XalanDOMChar* name)
    Receive notification of the end of an element. More...
- virtual void characters ( const XalanDOMChar* ch, XalanDOMString::size_type start, XalanDOMString::size_type length)
    Receive notification of character data. More...
- virtual void charactersRaw ( const XalanDOMChar* ch, XalanDOMString::size_type start, XalanDOMString::size_type length)
    Receive notification of character data. More...
- virtual void comment (const XalanDOMChar* data)
    Called when a Comment is to be constructed. More...
- virtual void processingInstruction ( const XalanDOMChar* target, const XalanDOMChar* data)
    Receive notification of a processing instruction. More...
- virtual void flushPending ()
    Flush the pending element.
- virtual void cloneToResultTree ( const XalanNode& node, const LocatorType* locator)
    Clone a node to the result tree. More...
- virtual void cloneToResultTree ( const XalanNode& node, XalanNode::NodeType nodeType, bool isLiteral, bool overrideStrip, bool shouldCloneAttributes, const LocatorType* locator)
    Clone a node to the result tree. More...
- virtual const XObjectPtr createXResultTreeFrag ( const ElemTemplateElement& templateChild, XalanNode* sourceNode)
    Create an XObject that represents a Result tree fragment. More...
- virtual void outputToResultTree ( const XObject& xobj, const LocatorType* locator)
    Output an object to the result tree by doing the right conversions. More...
- virtual void outputResultTreeFragment ( const XObject& theTree, const LocatorType* locator)
    Given a result tree fragment, walk the tree and output it to the result stream. More...
- virtual const XalanDOMString& getXSLNameSpaceURL () const
    Determine the full XSLT Namespace URI. More...
- virtual const XalanDOMString& getXalanXSLNameSpaceURL () const
    Special Xalan namespace for built-in extensions. More...
- virtual bool findOnElementRecursionStack (const ElemTemplateElement* theElement) const
    Determine if an element is on the recursion stack. More...
- virtual void pushOnElementRecursionStack (const ElemTemplateElement* theElement)
    Push an element onto the recursion stack. More...
- virtual const ElemTemplateElement* popElementRecursionStack ()
    Pop an element off the recursion stack. More...
- virtual bool returnXResultTreeFrag (XResultTreeFrag* theXResultTreeFrag)
    This is a hook that XResultTreeFrag instances (which are reference counted), can notify the owning StylesheetExecutionContext instance when they are dereferenced and can be cleaned up. More...
- virtual eEscapeURLs getEscapeURLs () const
    Get the value for run-time escaping of URLs. More...
- virtual void setEscapeURLs (eEscapeURLs value)
    Set the value for run-time escaping of URLs. More...
- virtual eOmitMETATag getOmitMETATag () const
    Get the value for run-time omission of URLs. More...
- void setOmitMETATag (eOmitMETATag value)
    Get the value for run-time omission of URLs. More...
- virtual FormatterListener* createFormatterToXML ( Writer& writer, const XalanDOMString& version = XalanDOMString(), bool doIndent = false, int indent = eDefaultXMLIndentAmount, const XalanDOMString& encoding = XalanDOMString(), const XalanDOMString& mediaType = XalanDOMString(), const XalanDOMString& doctypeSystem = XalanDOMString(), const XalanDOMString& doctypePublic = XalanDOMString(), bool xmlDecl = true, const XalanDOMString& standalone = XalanDOMString())
    Create a new FormatterToXML instance. More...
- virtual FormatterListener* createFormatterToHTML ( Writer& writer, const XalanDOMString& encoding = XalanDOMString(), const XalanDOMString& mediaType = XalanDOMString(), const XalanDOMString& doctypeSystem = XalanDOMString(), const XalanDOMString& doctypePublic = XalanDOMString(), bool doIndent = true, int indent = eDefaultHTMLIndentAmount, bool escapeURLs = true, bool omitMetaTag = false)
    Create a new FormatterToHTML instance. More...
- virtual FormatterListener* createFormatterToDOM ( XalanDocument* doc, XalanDocumentFragment* docFrag, XalanElement* currentElement)
- virtual FormatterListener* createFormatterToDOM ( XalanDocument* doc, XalanElement* elem)
- virtual FormatterListener* createFormatterToText ( Writer& writer, const XalanDOMString& encoding)
    FormatterToText instance constructor. More...
- virtual NodeSorter* borrowNodeSorter ()
    Borrow a cached NodeSorter instance. More...
- virtual bool returnNodeSorter (NodeSorter* theSorter)
    Return a previously borrowed NodeSorter instance. More...
- virtual XalanNumberFormatAutoPtr createXalanNumberFormat ()
    Create a new XalanNumberFormat instance. More...
- virtual size_type getTraceListeners () const
    Determine the number of trace listeners. More...
- virtual void fireGenerateEvent (const GenerateEvent& ge)
    Fire a generate event. More...
- virtual void fireTraceEvent (const TracerEvent& te)
    Fire a trace event. More...
- virtual void fireSelectEvent (const SelectionEvent& se)
    Fire a selection event. More...
- virtual bool getTraceSelects () const
    If this is set to true, simple traces of template calls are made. More...
- virtual void traceSelect ( const ElemTemplateElement& theStylesheetElement, const NodeRefListBase& nl, const XPath* xpath)
    Compose a diagnostic trace of the current selection. More...
- virtual int collationCompare ( const XalanDOMString& theLHS, const XalanDOMString& theRHS, XalanCollationServices::eCaseOrder theCaseOrder = XalanCollationServices::eDefault)
    Compare two strings using the collation of the current locale. More...
- virtual int collationCompare ( const XalanDOMString& theLHS, const XalanDOMString& theRHS, const XalanDOMString& theLocale, XalanCollationServices::eCaseOrder theCaseOrder = XalanCollationServices::eDefault)
    Compare two strings using the collation of the supplied locale. More...
- virtual int collationCompare ( const XalanDOMChar* theLHS, const XalanDOMChar* theRHS, XalanCollationServices::eCaseOrder theCaseOrder = XalanCollationServices::eDefault)
    Compare two strings using the collation of the current locale. More...
- virtual int collationCompare ( const XalanDOMChar* theLHS, const XalanDOMChar* theRHS, const XalanDOMChar* theLocale, XalanCollationServices::eCaseOrder theCaseOrder = XalanCollationServices::eDefault)
    Compare two strings using the collation of the current locale. More...
- const CollationCompareFunctor* installCollationCompareFunctor (CollationCompareFunctor* theFunctor)
- CollationCompareFunctor* uninstallCollationCompareFunctor ()
- virtual bool getInConstruction (const KeyDeclaration& keyDeclaration) const
    Determine if a KeyDeclaration is being constructed. More...
- virtual void beginConstruction (const KeyDeclaration& keyDeclaration)
    Add KeyDeclaration to construction list. More...
- virtual void endConstruction (const KeyDeclaration& keyDeclaration)
    Remove KeyDeclaration from construction list. More...
- virtual const XalanDecimalFormatSymbols* getDecimalFormatSymbols (const XalanQName& qname)
    Retrieve the XalanDecimalFormatSymbols instance associated with the name. More...
- virtual PrintWriter* createPrintWriter (XalanOutputStream* theTextOutputStream)
    Create a PrintWriter for the provided stream. More...
- virtual PrintWriter* createPrintWriter ( const XalanDOMString& theFileName, const XalanDOMString& theEncoding)
    Create a PrintWriter. More...
- virtual PrintWriter* createPrintWriter (StreamType& theStream)
    Create a PrintWriter using the provided ostream instance. More...
- virtual PrintWriter* createPrintWriter (FILE* theStream)
    Create a PrintWriter using the provided FILE instance. More...
- virtual CountersTable& getCountersTable ()
    Get the counters table, which is a table of cached results that is used by ElemNumber. More...
- virtual void characters (const XalanNode& node)
    Send character data from a node to the result tree. More...
- virtual void characters (const XObjectPtr& xobject)
    Send character data from an XObject to the result tree. More...
- virtual void charactersRaw (const XalanNode& node)
    Send raw character data from a node to the result tree. More...
- virtual void charactersRaw (const XObjectPtr& xobject)
    Send raw character data from an XObject to the result tree. More...
- virtual void reset ()
    Reset the instance. More...
- virtual XalanNode* getCurrentNode () const
    Retrieve the node currently being executed. More...
- virtual void pushCurrentNode (XalanNode* theCurrentNode)
    Change the node currently being executed. More...
- virtual void popCurrentNode ()
    Reset the node currently being executed.
- virtual bool isNodeAfter ( const XalanNode& node1, const XalanNode& node2) const
    Determine if a node is after another node, in document order. More...
- virtual void pushContextNodeList (const NodeRefListBase& theList)
    Push the node list for current context. More...
- virtual void popContextNodeList ()
    Pop the node list for current context.
- virtual const NodeRefListBase& getContextNodeList () const
    Get the node list for current context. More...
- virtual size_type getContextNodeListLength () const
- virtual size_type getContextNodeListPosition (const XalanNode& contextNode) const
- virtual bool elementAvailable (const XalanQName& theQName) const
    Determine if an external element is available. More...
- virtual bool elementAvailable ( const XalanDOMString& theName, const LocatorType* locator) const
    Determine if an external element is available by resolving a string to a QName. More...
- virtual bool functionAvailable (const XalanQName& theQName) const
    Determine if a function is available. More...
- virtual bool functionAvailable ( const XalanDOMString& theName, const LocatorType* locator) const
    Determine if a function is available. More...
- virtual const XObjectPtr extFunction ( const XalanDOMString& theNamespace, const XalanDOMString& functionName, XalanNode* context, const XObjectArgVectorType& argVec, const LocatorType* locator)
    Handle an extension function. More...
- virtual XalanDocument* parseXML ( const XalanDOMString& urlString, const XalanDOMString& base) const
    Provides support for XML parsing service. More...
- virtual MutableNodeRefList* borrowMutableNodeRefList ()
    Borrow a cached MutableNodeRefList instance. More...
- virtual bool returnMutableNodeRefList (MutableNodeRefList* theList)
    Return a previously borrowed MutableNodeRefList instance. More...
- virtual MutableNodeRefList* createMutableNodeRefList () const
    Create a MutableNodeRefList with the appropriate context. More...
- virtual XalanDOMString& getCachedString ()
    Get a cached string for temporary use. More...
- virtual bool releaseCachedString (XalanDOMString& theString)
    Return a cached string. More...
- virtual void getNodeSetByKey ( XalanDocument* doc, const XalanQName& qname, const XalanDOMString& ref, MutableNodeRefList& nodelist)
    Given a valid element key, return the corresponding node list. More...
- virtual void getNodeSetByKey ( XalanDocument* doc, const XalanDOMString& name, const XalanDOMString& ref, const LocatorType* locator, MutableNodeRefList& nodelist)
    Given a valid element key, return the corresponding node list. More...
- virtual const XObjectPtr getVariable ( const XalanQName& name, const LocatorType* locator = 0)
    Given a name, locate a variable in the current context, and return a pointer to the object. More...
- virtual const PrefixResolver* getPrefixResolver () const
    Retrieve the resolver for namespaces. More...
- virtual void setPrefixResolver (const PrefixResolver* thePrefixResolver)
    Change the resolver for namespaces. More...
- virtual const XalanDOMString* getNamespaceForPrefix (const XalanDOMString& prefix) const
    Retrieve the URI corresponding to a namespace prefix. More...
- virtual XalanDOMString findURIFromDoc (const XalanDocument* owner) const
    Given a DOM Document, tell what URI was used to parse it. More...
- virtual const XalanDOMString& getUnparsedEntityURI ( const XalanDOMString& theName, const XalanDocument& theDocument) const
    The getUnparsedEntityURI function returns the URI of the unparsed entity with the specified name in the same document as the context node (see [3.3 Unparsed Entities]). More...
- virtual bool shouldStripSourceNode (const XalanNode& node)
    Tells, through the combination of the default-space attribute on xsl:stylesheet, xsl:strip-space, xsl:preserve-space, and the xml:space attribute, whether or not extra whitespace should be stripped from the node. More...
- virtual XalanDocument* getSourceDocument (const XalanDOMString& theURI) const
    Get the document associated with the given URI. More...
- virtual void setSourceDocument ( const XalanDOMString& theURI, XalanDocument* theDocument)
    Associate a document with a given URI. More...
- virtual void error ( const XalanDOMString& msg, const XalanNode* sourceNode, const LocatorType* locator) const
    Report an error and throw an exception. More...
- virtual void error ( const char* msg, const XalanNode* sourceNode, const LocatorType* locator) const
    Report an error and throw an exception. More...
- virtual void warn ( const XalanDOMString& msg, const XalanNode* sourceNode, const LocatorType* locator) const
    Report a warning. More...
- virtual void warn ( const char* msg, const XalanNode* sourceNode, const LocatorType* locator) const
    Report a warning. More...
- virtual void message ( const XalanDOMString& msg, const XalanNode* sourceNode, const LocatorType* locator) const
    Output a message. More...
- virtual void message ( const char* msg, const XalanNode* sourceNode, const LocatorType* locator) const
    Output a message. More...
- XalanSourceTreeDocument* getSourceTreeFactory () const
    Get a XalanSourceTreeDocument, primarily for creating result tree fragments.

## Static Public Methods

- XalanNumberFormatFactory& getDefaultXalanNumberFormatFactory ()
- XalanNumberFormatFactory* installXalanNumberFormatFactory (XalanNumberFormatFactory* theFactory)
    Static function to install a new XalanNumberFormatFactory. More...

## Protected Methods

- virtual FormatterToText* borrowFormatterToText ()
    Borrow a cached FormatterToText instance. More...
- virtual bool returnFormatterToText (FormatterToText* theFormatter)
    Return a previously borrowed FormatterToText instance. More...

## Member Typedef Documentation

typedef clock_t StylesheetExecutionContextDefault::ClockType

typedef XalanCollationServices::CollationCompareFunctor StylesheetExecutionContextDefault::CollationCompareFunctor

typedef std::deque<const ElemTemplate*> StylesheetExecutionContextDefault::CurrentTemplateStackType

typedef std::deque<const ElemTemplateElement*> StylesheetExecutionContextDefault::ElementTemplateElementStackType

typedef std::vector<FormatterListener*> StylesheetExecutionContextDefault::FormatterListenerVectorType

typedef std::set<const KeyDeclaration*> StylesheetExecutionContextDefault::KeyDeclarationSetType

typedef Stylesheet::KeyTablesTableType StylesheetExecutionContextDefault::KeyTablesTableType

typedef std::vector<XalanOutputStream*> StylesheetExecutionContextDefault::OutputStreamVectorType

typedef VariablesStack::ParamsVectorType StylesheetExecutionContextDefault::ParamsVectorType

typedef std::vector<PrintWriter*> StylesheetExecutionContextDefault::PrintWriterVectorType

typedef std::pair<const XPath*, ClockType> StylesheetExecutionContextDefault::XPathCacheEntry

typedef std::map<XalanDOMString, XPathCacheEntry> StylesheetExecutionContextDefault::XPathCacheMapType

## Constructor & Destructor Documentation

StylesheetExecutionContextDefault::StylesheetExecutionContextDefault ( | XSLTEngineImpl & xsltProcessor,
| XPathEnvSupport & theXPathEnvSupport,
| DOMSupport & theDOMSupport,
| XObjectFactory & theXObjectFactory,
| XalanNode * theCurrentNode = 0,
| const NodeRefListBase * theContextNodeList = 0,
| const PrefixResolver * thePrefixResolver = 0 )

Construct a StylesheetExecutionContextDefault object.

Parameters:

  theXPathEnvSupport | XPath environment support class instance
  theDOMSupport | DOMSupport class instance
  theXobjectFactory | factory class instance for XObjects
  theCurrentNode | current node in the source tree
  theContextNodeList | node list for current context
  thePrefixResolver | pointer to prefix resolver to use

StylesheetExecutionContextDefault::StylesheetExecutionContextDefault ( | XalanNode * theCurrentNode = 0,
| const NodeRefListBase * theContextNodeList = 0,
| const PrefixResolver * thePrefixResolver = 0 )`[explicit]`

Construct a StylesheetExecutionContextDefault object.

Parameters:

  theXPathEnvSupport | XPath environment support class instance
  theDOMSupport | DOMSupport class instance
  theXobjectFactory | factory class instance for XObjects
  theCurrentNode | current node in the source tree
  theContextNodeList | node list for current context
  thePrefixResolver | pointer to prefix resolver to use

virtual StylesheetExecutionContextDefault::~StylesheetExecutionContextDefault ( | )`[virtual]`

## Member Function Documentation

virtual void StylesheetExecutionContextDefault::addResultAttribute ( | const XalanDOMString & aname,
| const XalanDOMChar * value )`[virtual]`

Add a result attribute to the list of pending attributes.

Parameters:

  aname | name of attribute
  value | value of attribute

Reimplemented from StylesheetExecutionContext.

virtual void StylesheetExecutionContextDefault::addResultAttribute ( | const XalanDOMString & aname,
| const XalanDOMString & value )`[virtual]`

Add a result attribute to the list of pending attributes.

Parameters:

  aname | name of attribute
  value | value of attribute

Reimplemented from StylesheetExecutionContext.

virtual void StylesheetExecutionContextDefault::beginConstruction ( | const KeyDeclaration & keyDeclaration )`[virtual]`

Add KeyDeclaration to construction list.

Parameters:

  KeyDeclaration | being constructed

Reimplemented from StylesheetExecutionContext.

virtual FormatterToText* StylesheetExecutionContextDefault::borrowFormatterToText ( | )`[protected, virtual]`

Borrow a cached FormatterToText instance.

Returns:
  A pointer to the instance.

Reimplemented from StylesheetExecutionContext.

virtual MutableNodeRefList* StylesheetExecutionContextDefault::borrowMutableNodeRefList ( | )`[virtual]`

Borrow a cached MutableNodeRefList instance.

Returns:
  A pointer to the instance.

Reimplemented from StylesheetExecutionContext.

virtual NodeSorter* StylesheetExecutionContextDefault::borrowNodeSorter ( | )`[virtual]`

Borrow a cached NodeSorter instance.

Returns:
  A pointer to the instance.

Reimplemented from StylesheetExecutionContext.

virtual void StylesheetExecutionContextDefault::characters ( | const XObjectPtr & xobject )`[virtual]`

Send character data from an XObject to the result tree.

Parameters:

  node | The xobject to send.

Reimplemented from StylesheetExecutionContext.

virtual void StylesheetExecutionContextDefault::characters ( | const XalanNode & node )`[virtual]`

Send character data from a node to the result tree.

Parameters:

  node | The node to send.

Reimplemented from StylesheetExecutionContext.

virtual void StylesheetExecutionContextDefault::characters ( | const XalanDOMChar * ch,
| XalanDOMString::size_type start,
| XalanDOMString::size_type length )`[virtual]`

Receive notification of character data.

Parameters:

  ch | pointer to characters from the XML document
  start | start position in the array
  length | number of characters to read from the array

Reimplemented from StylesheetExecutionContext.

virtual void StylesheetExecutionContextDefault::charactersRaw ( | const XObjectPtr & xobject )`[virtual]`

Send raw character data from an XObject to the result tree.

Parameters:

  node | The xobject to send.

Reimplemented from StylesheetExecutionContext.

virtual void StylesheetExecutionContextDefault::charactersRaw ( | const XalanNode & node )`[virtual]`

Send raw character data from a node to the result tree.

Parameters:

  node | The node to send.
  length | number of characters to read from the array

Reimplemented from StylesheetExecutionContext.

virtual void StylesheetExecutionContextDefault::charactersRaw ( | const XalanDOMChar * ch,
| XalanDOMString::size_type start,
| XalanDOMString::size_type length )`[virtual]`

Receive notification of character data.

If available, when the disable-output-escaping attribute is used, output raw text without escaping.

Parameters:

  ch | pointer to characters from the XML document
  start | start position in the array
  length | number of characters to read from the array

Reimplemented from StylesheetExecutionContext.

virtual void StylesheetExecutionContextDefault::clearTopLevelParams ( | )`[virtual]`

Reset the vector of top level parameters.

Reimplemented from StylesheetExecutionContext.

virtual void StylesheetExecutionContextDefault::cloneToResultTree ( | const XalanNode & node,
| XalanNode::NodeType nodeType,
| bool isLiteral,
| bool overrideStrip,
| bool shouldCloneAttributes,
| const LocatorType * locator )`[virtual]`

Clone a node to the result tree.

Parameters:

  node | node to clone
  nodeType | the type of the node
  isLiteral | true if a literal element
  overrideStrip | false if white space stripping should be done
  shouldCloneAttributes | true if attributes should be cloned
  locator | The Locator, if any

Reimplemented from StylesheetExecutionContext.

virtual void StylesheetExecutionContextDefault::cloneToResultTree ( | const XalanNode & node,
| const LocatorType * locator )`[virtual]`

Clone a node to the result tree.

Parameters:

  node | node to clone
  locator | The Locator, if any

Reimplemented from StylesheetExecutionContext.

virtual int StylesheetExecutionContextDefault::collationCompare ( | const XalanDOMChar * theLHS,
| const XalanDOMChar * theRHS,
| const XalanDOMChar * theLocale,
| XalanCollationServices::eCaseOrder theCaseOrder = XalanCollationServices::eDefault )`[virtual]`

Compare two strings using the collation of the current locale.

Parameters:

  theLHS | a string to compare
  theRHS | a string to compare
  theLocal | a string that specifies the locale
  theCaseOrder | the case order for the comparison

Returns:
  < 0 if theLHS is before theRHS, 0 if they are equal, or > 0 if theLHS is after theRHS

Reimplemented from StylesheetExecutionContext.

virtual int StylesheetExecutionContextDefault::collationCompare ( | const XalanDOMChar * theLHS,
| const XalanDOMChar * theRHS,
| XalanCollationServices::eCaseOrder theCaseOrder = XalanCollationServices::eDefault )`[virtual]`

Compare two strings using the collation of the current locale.

Parameters:

  theLHS | a string to compare
  theRHS | a string to compare
  theCaseOrder | the case order for the comparison

Returns:
  < 0 if theLHS is before theRHS, 0 if they are equal, or > 0 if theLHS is after theRHS

Reimplemented from StylesheetExecutionContext.

virtual int StylesheetExecutionContextDefault::collationCompare ( | const XalanDOMString & theLHS,
| const XalanDOMString & theRHS,
| const XalanDOMString & theLocale,
| XalanCollationServices::eCaseOrder theCaseOrder = XalanCollationServices::eDefault )`[virtual]`

Compare two strings using the collation of the supplied locale.

Parameters:

  theLHS | a string to compare
  theRHS | a string to compare
  theLocal | a string that specifies the locale
  theCaseOrder | the case order for the comparison

Returns:
  < 0 if theLHS is before theRHS, 0 if they are equal, or > 0 if theLHS is after theRHS

Reimplemented from StylesheetExecutionContext.

virtual int StylesheetExecutionContextDefault::collationCompare ( | const XalanDOMString & theLHS,
| const XalanDOMString & theRHS,
| XalanCollationServices::eCaseOrder theCaseOrder = XalanCollationServices::eDefault )`[virtual]`

Compare two strings using the collation of the current locale.

Parameters:

  theLHS | a string to compare
  theRHS | a string to compare
  theCaseOrder | the case order for the comparison

Returns:
  < 0 if theLHS is before theRHS, 0 if they are equal, or > 0 if theLHS is after theRHS

Reimplemented from StylesheetExecutionContext.

virtual void StylesheetExecutionContextDefault::comment ( | const XalanDOMChar * data )`[virtual]`

Called when a Comment is to be constructed.

Parameters:

  data | pointer to comment data

Reimplemented from StylesheetExecutionContext.

virtual void StylesheetExecutionContextDefault::copyNamespaceAttributes ( | const XalanNode & src )`[virtual]`

Add namespace attributes for a node to the list of pending attributes.

Parameters:

  src | source node

Reimplemented from StylesheetExecutionContext.

virtual XalanDocument* StylesheetExecutionContextDefault::createDocument ( | ) const`[virtual]`

Create a new empty document.

Returns:
  new document

Reimplemented from StylesheetExecutionContext.

virtual FormatterListener* StylesheetExecutionContextDefault::createFormatterToDOM ( | XalanDocument * doc,
| XalanElement * elem )`[virtual]`

virtual FormatterListener* StylesheetExecutionContextDefault::createFormatterToDOM ( | XalanDocument * doc,
| XalanDocumentFragment * docFrag,
| XalanElement * currentElement )`[virtual]`

virtual FormatterListener* StylesheetExecutionContextDefault::createFormatterToHTML ( | Writer & writer,
| const XalanDOMString & encoding = XalanDOMString(),
| const XalanDOMString & mediaType = XalanDOMString(),
| const XalanDOMString & doctypeSystem = XalanDOMString(),
| const XalanDOMString & doctypePublic = XalanDOMString(),
| bool doIndent = true,
| int indent = eDefaultHTMLIndentAmount,
| bool escapeURLs = true,
| bool omitMetaTag = false )`[virtual]`

Create a new FormatterToHTML instance.

The execution context owns the instance and will delete it when reset.

Parameters:

  writer | character output stream to use
  encoding | character encoding for the writer
  mediaType | media type (MIME content type) of the data
  doctypeSystem | system identifier to be used in the document type declaration
  doctypePublic | public identifier to be used in the document type declaration
  doIndent | true if output is to be indented
  indent | number of spaces to indent at each nesting level
  escapeURLs | Whether or not to escape URLs according to the recommendation. The default is true.
  omitMetaTag | Whether or not to output a META TAG according to the recommendation. The default is false.

Returns:
  a pointer to the new instance.

Reimplemented from StylesheetExecutionContext.

virtual FormatterListener* StylesheetExecutionContextDefault::createFormatterToText ( | Writer & writer,
| const XalanDOMString & encoding )`[virtual]`

FormatterToText instance constructor.

Parameters:

  writer | writer for output
  encoding | character encoding for the writer

Reimplemented from StylesheetExecutionContext.

virtual FormatterListener* StylesheetExecutionContextDefault::createFormatterToXML ( | Writer & writer,
| const XalanDOMString & version = XalanDOMString(),
| bool doIndent = false,
| int indent = eDefaultXMLIndentAmount,
| const XalanDOMString & encoding = XalanDOMString(),
| const XalanDOMString & mediaType = XalanDOMString(),
| const XalanDOMString & doctypeSystem = XalanDOMString(),
| const XalanDOMString & doctypePublic = XalanDOMString(),
| bool xmlDecl = true,
| const XalanDOMString & standalone = XalanDOMString() )`[virtual]`

Create a new FormatterToXML instance.

The execution context owns the instance and will delete it when reset.

Parameters:

  writer | character output stream to use
  version | version of the output method
  doIndent | true if output is to be indented
  indent | number of spaces to indent at each nesting level
  encoding | character encoding for the writer
  mediaType | media type (MIME content type) of the data
  doctypeSystem | system identifier to be used in the document type declaration
  doctypePublic | public identifier to be used in the document type declaration
  xmlDecl | true if the XSLT processor should output an XML declaration
  standalone | true if the XSLT processor should output a standalone document declaration

Returns:
  a pointer to the new instance.

Reimplemented from StylesheetExecutionContext.

virtual const XPath* StylesheetExecutionContextDefault::createMatchPattern ( | const XalanDOMString & str,
| const PrefixResolver & resolver )`[virtual]`

Create and initialize an xpath and return it.

This is to be used to create an XPath that is only used during execution.

Parameters:

  str | string expression for XPath evaluation
  resolver | resolver for namespace resolution

Returns:
  pointer to resulting XPath

Reimplemented from StylesheetExecutionContext.

virtual MutableNodeRefList* StylesheetExecutionContextDefault::createMutableNodeRefList ( | ) const`[virtual]`

Create a MutableNodeRefList with the appropriate context.

Returns:
  pointer to node list created

Reimplemented from StylesheetExecutionContext.

virtual PrintWriter* StylesheetExecutionContextDefault::createPrintWriter ( | FILE * theStream )`[virtual]`

Create a PrintWriter using the provided FILE instance.

Parameters:

  theStream | The output stream for the PrintWriter.

Returns:
  The new instance.

Reimplemented from StylesheetExecutionContext.

virtual PrintWriter* StylesheetExecutionContextDefault::createPrintWriter ( | StreamType & theStream )`[virtual]`

Create a PrintWriter using the provided ostream instance.

Parameters:

  theStream | The output stream for the PrintWriter.

Returns:
  The new instance.

Reimplemented from StylesheetExecutionContext.

virtual PrintWriter* StylesheetExecutionContextDefault::createPrintWriter ( | const XalanDOMString & theFileName,
| const XalanDOMString & theEncoding )`[virtual]`

Create a PrintWriter.

Create an appropriate output stream using the provided file name and encoding.

Parameters:

  theFileName | The file name for the output stream
  theEncoding | The encoding for the output stream

Returns:
  The new instance.

Reimplemented from StylesheetExecutionContext.

virtual PrintWriter* StylesheetExecutionContextDefault::createPrintWriter ( | XalanOutputStream * theTextOutputStream )`[virtual]`

Create a PrintWriter for the provided stream.

Parameters:

  theTextOutputStream | The output stream for the PrintWriter.

Returns:
  The new instance.

Reimplemented from StylesheetExecutionContext.

virtual const XObjectPtr StylesheetExecutionContextDefault::createVariable ( | const ElemTemplateElement & templateChild,
| XalanNode * sourceNode )`[virtual]`

Create an ResultTreeFragment as a variable and push it on to the stack with the current context.

Parameters:

  templateChild | result tree fragment to use.
  sourceNode | source node

Returns:
  a pointer to the XObject result

Reimplemented from StylesheetExecutionContext.

virtual const XObjectPtr StylesheetExecutionContextDefault::createVariable ( | const XPath & xpath,
| XalanNode * contextNode,
| const PrefixResolver & resolver )`[virtual]`

Execute the supplied XPath and and create a variable in the current context.

Parameters:

  str | string expression for XPath evaluation
  contextNode | current node in the source tree
  resolver | resolver for namespace resolution

Returns:
  a pointer to the XObject result

Reimplemented from StylesheetExecutionContext.

virtual const XObjectPtr StylesheetExecutionContextDefault::createXResultTreeFrag ( | const ElemTemplateElement & templateChild,
| XalanNode * sourceNode )`[virtual]`

Create an XObject that represents a Result tree fragment.

Parameters:

  templateChild | result tree fragment to use.
  sourceNode | source node

Returns:
  XObject instance

Reimplemented from StylesheetExecutionContext.

virtual XalanNumberFormatAutoPtr StylesheetExecutionContextDefault::createXalanNumberFormat ( | )`[virtual]`

Create a new XalanNumberFormat instance.

Returns:
  an XalanNumberFormatAutoPtr that owns a new XalanNumberFormat instance.

Reimplemented from StylesheetExecutionContext.

virtual void StylesheetExecutionContextDefault::diag ( | const XalanDOMString & theString )`[virtual]`

Print a diagnostics string to the output device.

Parameters:

  theString | string to print

Reimplemented from StylesheetExecutionContext.

virtual void StylesheetExecutionContextDefault::displayDuration ( | const XalanDOMString & theMessage,
| const void * theKey )`[virtual]`

Display the duration since pushTime was called.

Parameters:

  theMessage | message to display
  theKey | key for which duration is displayed

Reimplemented from StylesheetExecutionContext.

virtual bool StylesheetExecutionContextDefault::doDiagnosticsOutput ( | ) const`[virtual]`

Whether diagnostic output is to be generated.

Returns:
  true for diagnostics output

Reimplemented from StylesheetExecutionContext.

virtual bool StylesheetExecutionContextDefault::elementAvailable ( | const XalanDOMString & theName,
| const LocatorType * locator ) const`[virtual]`

Determine if an external element is available by resolving a string to a QName.

Parameters:

  theName | The name of the element
  locator | A LocatorType instance for error reporting

Returns:
  whether the given element is available or not

Reimplemented from StylesheetExecutionContext.

virtual bool StylesheetExecutionContextDefault::elementAvailable ( | const XalanQName & theQName ) const`[virtual]`

Determine if an external element is available.

Parameters:

  theQName | The QName of the element

Returns:
  whether the given element is available or not

Reimplemented from StylesheetExecutionContext.

virtual void StylesheetExecutionContextDefault::endConstruction ( | const KeyDeclaration & keyDeclaration )`[virtual]`

Remove KeyDeclaration from construction list.

Parameters:

  constructed | KeyDeclaration

Reimplemented from StylesheetExecutionContext.

virtual void StylesheetExecutionContextDefault::endDocument ( | )`[virtual]`

Receive notification of the end of a document.

The SAX parser will invoke this method only once, and it will be the last method invoked during the parse. The parser shall not invoke this method until it has either abandoned parsing (because of an unrecoverable error) or reached the end of input.

Exceptions:

  SAXException |

Reimplemented from StylesheetExecutionContext.

virtual void StylesheetExecutionContextDefault::endElement ( | const XalanDOMChar * name )`[virtual]`

Receive notification of the end of an element.

Parameters:

  name | element type name

Reimplemented from StylesheetExecutionContext.

virtual void StylesheetExecutionContextDefault::error ( | const char * msg,
| const XalanNode * sourceNode,
| const LocatorType * locator ) const`[virtual]`

Report an error and throw an exception.

Parameters:

  msg | The text of the message.
  sourceNode | The source node where the error occurred. May be 0.
  locator | A Locator to determine where the error occurred. May be 0.

Reimplemented from StylesheetExecutionContext.

virtual void StylesheetExecutionContextDefault::error ( | const XalanDOMString & msg,
| const XalanNode * sourceNode,
| const LocatorType * locator ) const`[virtual]`

Report an error and throw an exception.

Parameters:

  msg | The text of the message.
  sourceNode | The source node where the error occurred. May be 0.
  locator | A Locator to determine where the error occurred. May be 0.

Reimplemented from StylesheetExecutionContext.

virtual void StylesheetExecutionContextDefault::error ( | const char * msg,
| const ElemTemplateElement & styleNode,
| const XalanNode * sourceNode = 0 ) const`[virtual]`

Report an error and throw an exception.

Parameters:

  msg | The text of the message.
  styleNode | The stylesheet node were the error occurred.
  sourceNode | The source node where the error occurred. May be 0.

Reimplemented from StylesheetExecutionContext.

virtual void StylesheetExecutionContextDefault::error ( | const XalanDOMString & msg,
| const ElemTemplateElement & styleNode,
| const XalanNode * sourceNode = 0 ) const`[virtual]`

Report an error and throw an exception.

Parameters:

  msg | The text of the message.
  styleNode | The stylesheet node were the error occurred.
  sourceNode | The source node where the error occurred. May be 0.

Reimplemented from StylesheetExecutionContext.

virtual const XObjectPtr StylesheetExecutionContextDefault::extFunction ( | const XalanDOMString & theNamespace,
| const XalanDOMString & functionName,
| XalanNode * context,
| const XObjectArgVectorType & argVec,
| const LocatorType * locator )`[virtual]`

Handle an extension function.

Parameters:

  theNamespace | namespace of function
  functionName | extension function name
  context | The context node
  argVec | vector of arguments to function
  locator | A LocatorType instance for error reporting

Returns:
  pointer to XObject result

Reimplemented from StylesheetExecutionContext.

virtual bool StylesheetExecutionContextDefault::findOnElementRecursionStack ( | const ElemTemplateElement * theElement ) const`[virtual]`

Determine if an element is on the recursion stack.

Returns:
  true if element on stack

Reimplemented from StylesheetExecutionContext.

virtual XalanDOMString StylesheetExecutionContextDefault::findURIFromDoc ( | const XalanDocument * owner ) const`[virtual]`

Given a DOM Document, tell what URI was used to parse it.

Needed for relative resolution.

Parameters:

  owner | source document

Returns:
  document URI

Reimplemented from StylesheetExecutionContext.

virtual void StylesheetExecutionContextDefault::fireGenerateEvent ( | const GenerateEvent & ge )`[virtual]`

Fire a generate event.

Parameters:

  ge | generate event to fire

Reimplemented from StylesheetExecutionContext.

virtual void StylesheetExecutionContextDefault::fireSelectEvent ( | const SelectionEvent & se )`[virtual]`

Fire a selection event.

Parameters:

  se | selection event to fire

Reimplemented from StylesheetExecutionContext.

virtual void StylesheetExecutionContextDefault::fireTraceEvent ( | const TracerEvent & te )`[virtual]`

Fire a trace event.

Parameters:

  te | trace event to fire

Reimplemented from StylesheetExecutionContext.

virtual void StylesheetExecutionContextDefault::flushPending ( | )`[virtual]`

Flush the pending element.

Reimplemented from StylesheetExecutionContext.

virtual bool StylesheetExecutionContextDefault::functionAvailable ( | const XalanDOMString & theName,
| const LocatorType * locator ) const`[virtual]`

Determine if a function is available.

Parameters:

  theName | The name of the function
  locator | A LocatorType instance for error reporting

Returns:
  whether the function is available or not

Reimplemented from StylesheetExecutionContext.

virtual bool StylesheetExecutionContextDefault::functionAvailable ( | const XalanQName & theQName ) const`[virtual]`

Determine if a function is available.

Parameters:

  theQName | The QName of the function

Returns:
  whether the function is available or not

Reimplemented from StylesheetExecutionContext.

virtual XalanDOMString& StylesheetExecutionContextDefault::getCachedString ( | )`[virtual]`

Get a cached string for temporary use.

Returns:
  A reference to the string

Reimplemented from StylesheetExecutionContext.

virtual const NodeRefListBase& StylesheetExecutionContextDefault::getContextNodeList ( | ) const`[virtual]`

Get the node list for current context.

Returns:
  node list

Reimplemented from StylesheetExecutionContext.

virtual size_type StylesheetExecutionContextDefault::getContextNodeListLength ( | ) const`[virtual]`

Reimplemented from StylesheetExecutionContext.

virtual size_type StylesheetExecutionContextDefault::getContextNodeListPosition ( | const XalanNode & contextNode ) const`[virtual]`

Reimplemented from StylesheetExecutionContext.

virtual bool StylesheetExecutionContextDefault::getCopyTextNodesOnly ( | ) const`[virtual]`

If this function returns true, only text nodes can be copied to the result tree.

Returns:
  true or false

Reimplemented from StylesheetExecutionContext.

virtual CountersTable& StylesheetExecutionContextDefault::getCountersTable ( | )`[virtual]`

Get the counters table, which is a table of cached results that is used by ElemNumber.

Returns:
  A reference to the counters table.

Reimplemented from StylesheetExecutionContext.

virtual const XalanQName* StylesheetExecutionContextDefault::getCurrentMode ( | ) const`[virtual]`

Retrieve the current mode.

Returns:
  QName for mode

Reimplemented from StylesheetExecutionContext.

virtual XalanNode* StylesheetExecutionContextDefault::getCurrentNode ( | ) const`[virtual]`

Retrieve the node currently being executed.

Returns:
  current node

Reimplemented from StylesheetExecutionContext.

virtual int StylesheetExecutionContextDefault::getCurrentStackFrameIndex ( | ) const`[virtual]`

Get the top of the stack frame from where a search for a variable or param should take place.

Returns:
  current value of index

Reimplemented from StylesheetExecutionContext.

virtual const ElemTemplate* StylesheetExecutionContextDefault::getCurrentTemplate ( | ) const`[virtual]`

Retrieve the current template.

Returns:
  The current template instance or null if there is no current template

Reimplemented from StylesheetExecutionContext.

virtual const XalanDecimalFormatSymbols* StylesheetExecutionContextDefault::getDecimalFormatSymbols ( | const XalanQName & qname )`[virtual]`

Retrieve the XalanDecimalFormatSymbols instance associated with the name.

Parameters:

  qname | the QName for the lookup

Returns:
  a pointer to the matching instance, or 0 if none was found

Reimplemented from StylesheetExecutionContext.

XalanNumberFormatFactory & StylesheetExecutionContextDefault::getDefaultXalanNumberFormatFactory ( | )`[static]`

virtual eEscapeURLs StylesheetExecutionContextDefault::getEscapeURLs ( | ) const`[virtual]`

Get the value for run-time escaping of URLs.

This can override the property specified by the stylesheet. The default behavior is to honor the property in the stylesheet.

Returns:
  The value of the enum

Reimplemented from StylesheetExecutionContext.

virtual FormatterListener* StylesheetExecutionContextDefault::getFormatterListener ( | ) const`[virtual]`

Get the current formatter listener.

Returns:
  pointer to formatter listener

Reimplemented from StylesheetExecutionContext.

virtual int StylesheetExecutionContextDefault::getGlobalStackFrameIndex ( | ) const`[virtual]`

Get the top of the global stack frame.

Returns:
  current value of index

Reimplemented from StylesheetExecutionContext.

virtual bool StylesheetExecutionContextDefault::getInConstruction ( | const KeyDeclaration & keyDeclaration ) const`[virtual]`

Determine if a KeyDeclaration is being constructed.

Parameters:

  The | KeyDeclaration in question.

Returns:
  true if being constructed

Reimplemented from StylesheetExecutionContext.

virtual int StylesheetExecutionContextDefault::getIndent ( | ) const`[virtual]`

Retrieve the current number of spaces to indent.

Returns:
  number of spaces

Reimplemented from StylesheetExecutionContext.

virtual const XalanDOMString* StylesheetExecutionContextDefault::getNamespaceForPrefix ( | const XalanDOMString & prefix ) const`[virtual]`

Retrieve the URI corresponding to a namespace prefix.

Parameters:

  prefix | prefix for a namespace

Returns:
  URI corresponding to namespace

Reimplemented from StylesheetExecutionContext.

virtual void StylesheetExecutionContextDefault::getNodeSetByKey ( | XalanDocument * doc,
| const XalanDOMString & name,
| const XalanDOMString & ref,
| const LocatorType * locator,
| MutableNodeRefList & nodelist )`[virtual]`

Given a valid element key, return the corresponding node list.

Parameters:

  doc | source document
  name | name of the key, which must match the 'name' attribute on xsl:key. Will be resolved to a qname using the provided resolver.
  ref | value that must match the value found by the 'match' attribute on xsl:key
  locator | The LocatorType to use for error reporting. Can be 0.
  nodelist | A node list to contain the nodes found

Reimplemented from StylesheetExecutionContext.

virtual void StylesheetExecutionContextDefault::getNodeSetByKey ( | XalanDocument * doc,
| const XalanQName & qname,
| const XalanDOMString & ref,
| MutableNodeRefList & nodelist )`[virtual]`

Given a valid element key, return the corresponding node list.

Parameters:

  doc | source document
  name | qname of the key, which must match the 'name' attribute on xsl:key
  ref | value that must match the value found by the 'match' attribute on xsl:key
  nodelist | A node list to contain the nodes found

Reimplemented from StylesheetExecutionContext.

virtual eOmitMETATag StylesheetExecutionContextDefault::getOmitMETATag ( | ) const`[virtual]`

Get the value for run-time omission of URLs.

This can override the property specified by the stylesheet. The default behavior is to honor the property in the stylesheet.

Returns:
  The value of the enum

Reimplemented from StylesheetExecutionContext.

virtual const XObjectPtr StylesheetExecutionContextDefault::getParamVariable ( | const XalanQName & theName )`[virtual]`

Given a name, return a string representing the value, but don't look in the global space.

Parameters:

  theName | name of variable

Returns:
  pointer to XObject for variable

Reimplemented from StylesheetExecutionContext.

virtual const PrefixResolver* StylesheetExecutionContextDefault::getPrefixResolver ( | ) const`[virtual]`

Retrieve the resolver for namespaces.

Returns:
  object for namespace resolution

Reimplemented from StylesheetExecutionContext.

virtual bool StylesheetExecutionContextDefault::getQuietConflictWarnings ( | ) const`[virtual]`

Determine whether conflicts should be reported.

Returns:
  true if conflicts should not be warned

Reimplemented from StylesheetExecutionContext.

virtual const XalanDOMString* StylesheetExecutionContextDefault::getResultNamespaceForPrefix ( | const XalanDOMString & thePrefix ) const`[virtual]`

Retrieve the result namespace corresponding to a prefix.

Parameters:

  thePrefix | prefix for namespace

Returns:
  A pointer to a string containing the namespace, or 0 if the prefix is not mapped.

Reimplemented from StylesheetExecutionContext.

virtual const XalanDOMString* StylesheetExecutionContextDefault::getResultPrefixForNamespace ( | const XalanDOMString & theNamespace ) const`[virtual]`

Retrieve the result prefix corresponding to a namespace.

Parameters:

  theNamespace | namespace for prefix

Returns:
  A pointer to a string containing the prefix, or 0 if the namespace is not mapped.

Reimplemented from StylesheetExecutionContext.

virtual XalanNode* StylesheetExecutionContextDefault::getRootDocument ( | ) const`[virtual]`

Retrieve root document for stylesheet.

Note that this does not have to be a XalanDocument -- it can be any node in a document.

Returns:
  root document

Reimplemented from StylesheetExecutionContext.

virtual XalanDocument* StylesheetExecutionContextDefault::getSourceDocument ( | const XalanDOMString & theURI ) const`[virtual]`

Get the document associated with the given URI.

Parameters:

  theURI | document URI

Returns:
  a pointer to the document instance, if any.

Reimplemented from StylesheetExecutionContext.

XalanSourceTreeDocument * StylesheetExecutionContextDefault::getSourceTreeFactory ( | ) const

Get a XalanSourceTreeDocument, primarily for creating result tree fragments.

virtual size_type StylesheetExecutionContextDefault::getTraceListeners ( | ) const`[virtual]`

Determine the number of trace listeners.

Returns:
  number of listeners

Reimplemented from StylesheetExecutionContext.

virtual bool StylesheetExecutionContextDefault::getTraceSelects ( | ) const`[virtual]`

If this is set to true, simple traces of template calls are made.

Returns:
  true if traces made

Reimplemented from StylesheetExecutionContext.

virtual void StylesheetExecutionContextDefault::getUniqueNamespaceValue ( | XalanDOMString & theValue ) const`[virtual]`

Generate a random namespace prefix guaranteed to be unique.

Parameters:

  theValue | A string for returning the new prefix

Reimplemented from StylesheetExecutionContext.

virtual XalanDOMString StylesheetExecutionContextDefault::getUniqueNamespaceValue ( | ) const`[virtual]`

Generate a random namespace prefix guaranteed to be unique.

Returns:
  unique namespace prefix

Reimplemented from StylesheetExecutionContext.

virtual const XalanDOMString& StylesheetExecutionContextDefault::getUnparsedEntityURI ( | const XalanDOMString & theName,
| const XalanDocument & theDocument ) const`[virtual]`

The getUnparsedEntityURI function returns the URI of the unparsed entity with the specified name in the same document as the context node (see [3.3 Unparsed Entities]).

It returns the empty string if there is no such entity.

Parameters:

  theName | name of entity
  theDocument | document containing entity

Returns:
  URI for the entity

Reimplemented from StylesheetExecutionContext.

bool StylesheetExecutionContextDefault::getUsePerInstanceDocumentFactory ( | ) const`[]`

virtual const XObjectPtr StylesheetExecutionContextDefault::getVariable ( | const XalanQName & name,
| const LocatorType * locator = 0 )`[virtual]`

Given a name, locate a variable in the current context, and return a pointer to the object.

Parameters:

  theName | name of variable

Returns:
  pointer to an XObject if the variable was found, 0 if it was not

Reimplemented from StylesheetExecutionContext.

virtual const XalanDOMString& StylesheetExecutionContextDefault::getXSLNameSpaceURL ( | ) const`[virtual]`

Determine the full XSLT Namespace URI.

Returns:
  Xalan namespace URI

Reimplemented from StylesheetExecutionContext.

virtual const XalanDOMString& StylesheetExecutionContextDefault::getXalanXSLNameSpaceURL ( | ) const`[virtual]`

Special Xalan namespace for built-in extensions.

Returns:
  Xalan namespace for extensions

Reimplemented from StylesheetExecutionContext.

const CollationCompareFunctor* StylesheetExecutionContextDefault::installCollationCompareFunctor ( | CollationCompareFunctor * theFunctor )

XalanNumberFormatFactory * StylesheetExecutionContextDefault::installXalanNumberFormatFactory ( | XalanNumberFormatFactory * theFactory )`[static]`

Static function to install a new XalanNumberFormatFactory.

The caller owns the XalanNumberFormatFactory instance.

Parameters:

  a | pointer to the new factory instance to use.

Returns:
  a pointer to the old factory instance.

virtual bool StylesheetExecutionContextDefault::isElementPending ( | ) const`[virtual]`

See if there is an element pending.

Reimplemented from StylesheetExecutionContext.

virtual bool StylesheetExecutionContextDefault::isNodeAfter ( | const XalanNode & node1,
| const XalanNode & node2 ) const`[virtual]`

Determine if a node is after another node, in document order.

Parameters:

  node1 | The first node
  node2 | The second node

Returns:
  true if node1 one is after node2, or false if it is not.

Reimplemented from StylesheetExecutionContext.

virtual bool StylesheetExecutionContextDefault::isPendingResultPrefix ( | const XalanDOMString & thePrefix )`[virtual]`

Determine whether or not a prefix is in use on the pending element or the pending attributes.

Parameters:

  thePrefix | prefix for namespace

Returns:
  true if the prefix is in use, false if not.

Reimplemented from StylesheetExecutionContext.

virtual void StylesheetExecutionContextDefault::message ( | const char * msg,
| const XalanNode * sourceNode,
| const LocatorType * locator ) const`[virtual]`

Output a message.

Parameters:

  msg | The text of the message.
  sourceNode | The source node where the message occurred. May be 0.
  locator | A Locator to determine where the message occurred. May be 0.

Reimplemented from StylesheetExecutionContext.

virtual void StylesheetExecutionContextDefault::message ( | const XalanDOMString & msg,
| const XalanNode * sourceNode,
| const LocatorType * locator ) const`[virtual]`

Output a message.

Parameters:

  msg | The text of the message.
  sourceNode | The source node where the message occurred. May be 0.
  locator | A Locator to determine where the message occurred. May be 0.

Reimplemented from StylesheetExecutionContext.

virtual void StylesheetExecutionContextDefault::message ( | const char * msg,
| const ElemTemplateElement & styleNode,
| const XalanNode * sourceNode = 0 ) const`[virtual]`

Report a message.

Parameters:

  msg | The text of the message.
  styleNode | The stylesheet node were the message occurred.
  sourceNode | The source node where the message occurred. May be 0.

Reimplemented from StylesheetExecutionContext.

virtual void StylesheetExecutionContextDefault::message ( | const XalanDOMString & msg,
| const ElemTemplateElement & styleNode,
| const XalanNode * sourceNode = 0 ) const`[virtual]`

Report a message.

Parameters:

  msg | The text of the message.
  styleNode | The stylesheet node were the message occurred.
  sourceNode | The source node where the message occurred. May be 0.

Reimplemented from StylesheetExecutionContext.

virtual void StylesheetExecutionContextDefault::outputResultTreeFragment ( | const XObject & theTree,
| const LocatorType * locator )`[virtual]`

Given a result tree fragment, walk the tree and output it to the result stream.

Parameters:

  theTree | result tree fragment
  locator | The Locator, if any

Reimplemented from StylesheetExecutionContext.

virtual void StylesheetExecutionContextDefault::outputToResultTree ( | const XObject & xobj,
| const LocatorType * locator )`[virtual]`

Output an object to the result tree by doing the right conversions.

This is public for access by extensions.

Parameters:

  obj | the XObject to output
  locator | The Locator, if any

Reimplemented from StylesheetExecutionContext.

virtual XalanDocument* StylesheetExecutionContextDefault::parseXML ( | const XalanDOMString & urlString,
| const XalanDOMString & base ) const`[virtual]`

Provides support for XML parsing service.

Parameters:

  urlString | location of the XML
  base | base location for URI

Returns:
  parsed document

Reimplemented from StylesheetExecutionContext.

virtual void StylesheetExecutionContextDefault::popContextMarker ( | )`[virtual]`

Pop the current context from the current context stack.

Reimplemented from StylesheetExecutionContext.

virtual void StylesheetExecutionContextDefault::popContextNodeList ( | )`[virtual]`

Pop the node list for current context.

Reimplemented from StylesheetExecutionContext.

virtual void StylesheetExecutionContextDefault::popCurrentNode ( | )`[virtual]`

Reset the node currently being executed.

Reimplemented from StylesheetExecutionContext.

virtual void StylesheetExecutionContextDefault::popCurrentTemplate ( | )`[virtual]`

Reimplemented from StylesheetExecutionContext.

virtual void StylesheetExecutionContextDefault::popElementFrame ( | )`[virtual]`

Pop a frame marker for an element.

Parameters:

  elem | the element

Reimplemented from StylesheetExecutionContext.

virtual const ElemTemplateElement* StylesheetExecutionContextDefault::popElementRecursionStack ( | )`[virtual]`

Pop an element off the recursion stack.

Returns:
  pointer to element popped

Reimplemented from StylesheetExecutionContext.

virtual void StylesheetExecutionContextDefault::popOutputContext ( | )`[virtual]`

Reimplemented from StylesheetExecutionContext.

virtual void StylesheetExecutionContextDefault::processingInstruction ( | const XalanDOMChar * target,
| const XalanDOMChar * data )`[virtual]`

Receive notification of a processing instruction.

Parameters:

  target | processing instruction target
  data | processing instruction data, or null if none was supplied

Reimplemented from StylesheetExecutionContext.

virtual void StylesheetExecutionContextDefault::pushContextMarker ( | )`[virtual]`

Push a context marker onto the stack to let us know when to stop searching for a var.

Reimplemented from StylesheetExecutionContext.

virtual void StylesheetExecutionContextDefault::pushContextNodeList ( | const NodeRefListBase & theList )`[virtual]`

Push the node list for current context.

Parameters:

  theList | new node list

Reimplemented from StylesheetExecutionContext.

virtual void StylesheetExecutionContextDefault::pushCurrentNode ( | XalanNode * theCurrentNode )`[virtual]`

Change the node currently being executed.

Parameters:

  theCurrentNode | new current node

Reimplemented from StylesheetExecutionContext.

virtual void StylesheetExecutionContextDefault::pushCurrentTemplate ( | const ElemTemplate * theTemplate )`[virtual]`

Set the current template.

Parameters:

  theTemplate | The current template instance

Reimplemented from StylesheetExecutionContext.

virtual void StylesheetExecutionContextDefault::pushElementFrame ( | const ElemTemplateElement * elem )`[virtual]`

Push a frame marker for an element.

Parameters:

  elem | the element

Reimplemented from StylesheetExecutionContext.

virtual void StylesheetExecutionContextDefault::pushOnElementRecursionStack ( | const ElemTemplateElement * theElement )`[virtual]`

Push an element onto the recursion stack.

Parameters:

  theElement | pointer to element to push

Reimplemented from StylesheetExecutionContext.

virtual void StylesheetExecutionContextDefault::pushOutputContext ( | FormatterListener * flistener = 0 )`[virtual]`

Reimplemented from StylesheetExecutionContext.

virtual void StylesheetExecutionContextDefault::pushParams ( | const ElemTemplateElement & xslCallTemplateElement )`[virtual]`

Given a template, search for the arguments and push them on the stack.

Also, push default arguments on the stack.

Parameters:

  xslCallTemplateElement | "call-template" element

Reimplemented from StylesheetExecutionContext.

virtual void StylesheetExecutionContextDefault::pushTime ( | const void * theKey )`[virtual]`

Mark the time, so that displayDuration can later display the elapsed clock ticks.

Parameters:

  theKey | element to push

Reimplemented from StylesheetExecutionContext.

virtual void StylesheetExecutionContextDefault::pushTopLevelVariables ( | const ParamVectorType & topLevelParams )`[virtual]`

Set a list of top level variables in the specified execution context stylesheet.

Parameters:

  topLevelParams | list of top level parameters

Reimplemented from StylesheetExecutionContext.

virtual void StylesheetExecutionContextDefault::pushVariable ( | const XalanQName & name,
| const ElemTemplateElement * element,
| const ElemTemplateElement & templateChild,
| XalanNode * sourceNode )`[virtual]`

Create an ResultTreeFragment as a variable and push it on to the stack with the current context.

Parameters:

  name | name of variable
  element | element marker for variable
  templateChild | result tree fragment to use.
  sourceNode | source node

Reimplemented from StylesheetExecutionContext.

virtual void StylesheetExecutionContextDefault::pushVariable ( | const XalanQName & name,
| const ElemTemplateElement * element,
| const XPath & xpath,
| XalanNode * contextNode,
| const PrefixResolver & resolver )`[virtual]`

Execute the supplied XPath and push the result as a variable in the current context.

Parameters:

  name | name of variable
  element | element marker for variable
  str | string expression for XPath evaluation
  contextNode | current node in the source tree
  resolver | resolver for namespace resolution

Returns:
  nothing

Reimplemented from StylesheetExecutionContext.

virtual void StylesheetExecutionContextDefault::pushVariable ( | const XalanQName & name,
| const ElemVariable * var,
| const ElemTemplateElement * element )`[virtual]`

Push a named variable onto the processor variable stack The variable will be evaluated when first referenced.

Parameters:

  name | name of variable
  var | pointer to ElemVariable instance
  element | element marker for variable

Reimplemented from StylesheetExecutionContext.

virtual void StylesheetExecutionContextDefault::pushVariable ( | const XalanQName & name,
| const XObjectPtr val,
| const ElemTemplateElement * element )`[virtual]`

Push a named variable onto the variables stack.

The variable has already been evaluated.

Parameters:

  name | name of variable
  val | pointer to XObject value
  element | element marker for variable

Reimplemented from StylesheetExecutionContext.

virtual void StylesheetExecutionContextDefault::pushVariable ( | const XalanQName & name,
| const ElemTemplateElement * element,
| const XalanDOMString & str,
| XalanNode * contextNode,
| const PrefixResolver & resolver )`[virtual]`

Execute an XPath using the provided expression, and push the result as a variable in the context of the supplied element.

Parameters:

  name | name of variable
  element | element marker for variable
  str | string expression for XPath evaluation
  contextNode | current node in the source tree
  resolver | resolver for namespace resolution

Returns:
  nothing

Reimplemented from StylesheetExecutionContext.

virtual bool StylesheetExecutionContextDefault::releaseCachedString ( | XalanDOMString & theString )`[virtual]`

Return a cached string.

Parameters:

  theString | The string to release.

Returns:
  true if the string was released successfully.

Reimplemented from StylesheetExecutionContext.

virtual void StylesheetExecutionContextDefault::replacePendingAttribute ( | const XalanDOMChar * theName,
| const XalanDOMChar * theNewType,
| const XalanDOMChar * theNewValue )`[virtual]`

Replace the contents of a pending attribute.

Parameters:

  theName | name of attribute
  theNewType | type of attribute
  theNewValue | new value of attribute

Reimplemented from StylesheetExecutionContext.

virtual void StylesheetExecutionContextDefault::reset ( | )`[virtual]`

Reset the instance.

This must be called before another execution is attempted.

Reimplemented from StylesheetExecutionContext.

virtual void StylesheetExecutionContextDefault::resolveTopLevelParams ( | )`[virtual]`

Resolve the params that were pushed by the caller.

Reimplemented from StylesheetExecutionContext.

virtual bool StylesheetExecutionContextDefault::returnFormatterToText ( | FormatterToText * theFormatter )`[protected, virtual]`

Return a previously borrowed FormatterToText instance.

Parameters:

  theFormatter | A pointer the to previously borrowed instance.

Returns:
  true if the instance was previously borrowed, false if not.

Reimplemented from StylesheetExecutionContext.

virtual bool StylesheetExecutionContextDefault::returnMutableNodeRefList ( | MutableNodeRefList * theList )`[virtual]`

Return a previously borrowed MutableNodeRefList instance.

Parameters:

  theList | A pointer the to previously borrowed instance.

Returns:
  true if the list was borrowed (at therefore, destroyed), false if not.

Reimplemented from StylesheetExecutionContext.

virtual bool StylesheetExecutionContextDefault::returnNodeSorter ( | NodeSorter * theSorter )`[virtual]`

Return a previously borrowed NodeSorter instance.

Parameters:

  theSorter | A pointer the to previously borrowed instance.

Returns:
  true if the instance was previously borrowed, false if not.

Reimplemented from StylesheetExecutionContext.

virtual void StylesheetExecutionContextDefault::returnXPath ( | const XPath * xpath )`[virtual]`

Return the XPath created by createMatchPattern().

Parameters:

  xpath | The XPath to return.

Reimplemented from StylesheetExecutionContext.

virtual bool StylesheetExecutionContextDefault::returnXResultTreeFrag ( | XResultTreeFrag * theXResultTreeFrag )`[virtual]`

This is a hook that XResultTreeFrag instances (which are reference counted), can notify the owning StylesheetExecutionContext instance when they are dereferenced and can be cleaned up.

Parameters:

  theXResultTreeFrag | The instance that is being returned.

Returns:
  true if the XResultTreeFrag instance belongs to the execution context. false if not.

Reimplemented from StylesheetExecutionContext.

virtual void StylesheetExecutionContextDefault::setCopyTextNodesOnly ( | bool fValue )`[virtual]`

Set the flag that determines if only text nodes can be copied to the result tree.

Parameters:

  fValue | The value of the flag

Reimplemented from StylesheetExecutionContext.

virtual void StylesheetExecutionContextDefault::setCurrentMode ( | const XalanQName * theMode )`[virtual]`

Set the current mode.

Parameters:

  theMode | QName for mode

Reimplemented from StylesheetExecutionContext.

virtual void StylesheetExecutionContextDefault::setCurrentStackFrameIndex ( | int currentStackFrameIndex = -1 )`[virtual]`

Set the top of the stack frame from where a search for a variable or param should take place.

Parameters:

  currentStackFrameIndex | new value of index

Reimplemented from StylesheetExecutionContext.

void StylesheetExecutionContextDefault::setDOMSupport ( | DOMSupport * theDOMSupport )`[]`

Set the DOMSupport instance.

Parameters:

  theDOMSupport | a reference to the instance to use.

virtual void StylesheetExecutionContextDefault::setEscapeURLs ( | eEscapeURLs value )`[virtual]`

Set the value for run-time escaping of URLs.

This can override the property specified by the stylesheet. The default behavior is to honor the property in the stylesheet.

Parameters:

  value | The value of the enum

Reimplemented from StylesheetExecutionContext.

virtual void StylesheetExecutionContextDefault::setFormatterListener ( | FormatterListener * flistener )`[virtual]`

Set the current formatter listener.

Parameters:

  flistener | pointer to new formatter listener

Reimplemented from StylesheetExecutionContext.

void StylesheetExecutionContextDefault::setIgnoreHTMLElementNamespaces ( | bool theValue )`[]`

Set the value of the flag that controls whether HTML output will check for namespace declarations on HTML elements.

Returns:
  The value

bool StylesheetExecutionContextDefault::setIgnoreHTMLElementNamespaces ( | ) const`[]`

Set the value of the flag that controls whether HTML output will check for namespace declarations on HTML elements.

Set this to true if you want the HTML output formatter to skip checking for namespaces on elements. This makes HTML output more efficient, but can result in non-conforming behavior, since the XSLT recommendation requires XML output for elements with namespaces.

Parameters:

  theValue | The boolean value

virtual void StylesheetExecutionContextDefault::setIndent ( | int indentAmount )`[virtual]`

Set the current number of spaces to indent.

Parameters:

  indentAmount | The number of spaces to indent. Use -1 for the default amount.

Reimplemented from StylesheetExecutionContext.

void StylesheetExecutionContextDefault::setOmitMETATag ( | eOmitMETATag value )`[virtual]`

Get the value for run-time omission of URLs.

This can override the property specified by the stylesheet. The default behavior is to honor the property in the stylesheet.

Parameters:

  value | The value of the enum

Reimplemented from StylesheetExecutionContext.

virtual void StylesheetExecutionContextDefault::setPrefixResolver ( | const PrefixResolver * thePrefixResolver )`[virtual]`

Change the resolver for namespaces.

Parameters:

  thePrefixResolver | new object for namespace resolution

Reimplemented from StylesheetExecutionContext.

virtual void StylesheetExecutionContextDefault::setRootDocument ( | XalanNode * theDocument )`[virtual]`

Set root document for stylesheet.

Note that this does not have to be a XalanDocument -- it can be any node in a document.

Parameters:

  theDocument | root document

Reimplemented from StylesheetExecutionContext.

virtual void StylesheetExecutionContextDefault::setSourceDocument ( | const XalanDOMString & theURI,
| XalanDocument * theDocument )`[virtual]`

Associate a document with a given URI.

Parameters:

  theURI | document URI
  theDocument | source document

Reimplemented from StylesheetExecutionContext.

virtual void StylesheetExecutionContextDefault::setStylesheetRoot ( | const StylesheetRoot * theStylesheet )`[virtual]`

Set root stylesheet for stylesheet.

Parameters:

  theStylesheet | root stylesheet

Reimplemented from StylesheetExecutionContext.

void StylesheetExecutionContextDefault::setUsePerInstanceDocumentFactory ( | bool fValue )`[]`

void StylesheetExecutionContextDefault::setXObjectFactory ( | XObjectFactory * theXObjectFactory )`[]`

Set the XObjectFactory instance.

Parameters:

  theFactory | a reference to the instance to use.

void StylesheetExecutionContextDefault::setXPathEnvSupport ( | XPathEnvSupport * theSupport )`[]`

Set the XPathEnvSupport instance.

Parameters:

  theSupport | a reference to the instance to use.

void StylesheetExecutionContextDefault::setXSLTProcessor ( | XSLTEngineImpl * theProcessor )`[]`

Set the DOMSupport instance.

Parameters:

  theDOMSupport | a reference to the instance to use.

virtual bool StylesheetExecutionContextDefault::shouldStripSourceNode ( | const XalanNode & node )`[virtual]`

Tells, through the combination of the default-space attribute on xsl:stylesheet, xsl:strip-space, xsl:preserve-space, and the xml:space attribute, whether or not extra whitespace should be stripped from the node.

Literal elements from template elements should not be tested with this function.

Parameters:

  textNode | text node from the source tree

Returns:
  true if the text node should be stripped of extra whitespace

Reimplemented from StylesheetExecutionContext.

virtual void StylesheetExecutionContextDefault::startDocument ( | )`[virtual]`

Receive notification of the beginning of a document.

The SAX parser will invoke this method only once, before any other methods in this interface or in DTDHandler (except for setDocumentLocator).

Exceptions:

  SAXException |

Reimplemented from StylesheetExecutionContext.

virtual void StylesheetExecutionContextDefault::startElement ( | const XalanDOMChar * name )`[virtual]`

Receive notification of the beginning of an element.

Parameters:

  name | element type name

Reimplemented from StylesheetExecutionContext.

virtual void StylesheetExecutionContextDefault::traceSelect ( | const ElemTemplateElement & theStylesheetElement,
| const NodeRefListBase & nl,
| const XPath * xpath )`[virtual]`

Compose a diagnostic trace of the current selection.

Parameters:

  theStylesheetElement | The executing stylesheet element
  nl | The list of selected nodes
  xpath | A pointer to the XPath which generated the list of nodes, if any.

Reimplemented from StylesheetExecutionContext.

CollationCompareFunctor* StylesheetExecutionContextDefault::uninstallCollationCompareFunctor ( | )

virtual void StylesheetExecutionContextDefault::warn ( | const char * msg,
| const XalanNode * sourceNode,
| const LocatorType * locator ) const`[virtual]`

Report a warning.

Parameters:

  msg | The text of the message.
  sourceNode | The source node where the warning occurred. May be 0.
  locator | A Locator to determine where the warning occurred. May be 0.

Reimplemented from StylesheetExecutionContext.

virtual void StylesheetExecutionContextDefault::warn ( | const XalanDOMString & msg,
| const XalanNode * sourceNode,
| const LocatorType * locator ) const`[virtual]`

Report a warning.

Parameters:

  msg | The text of the message.
  sourceNode | The source node where the warning occurred. May be 0.
  locator | A Locator to determine where the warning occurred. May be 0.

Reimplemented from StylesheetExecutionContext.

virtual void StylesheetExecutionContextDefault::warn ( | const char * msg,
| const ElemTemplateElement & styleNode,
| const XalanNode * sourceNode = 0 ) const`[virtual]`

Report a warning.

Parameters:

  msg | The text of the message.
  styleNode | The stylesheet node were the warning occurred.
  sourceNode | The source node where the warning occurred. May be 0.

Reimplemented from StylesheetExecutionContext.

virtual void StylesheetExecutionContextDefault::warn ( | const XalanDOMString & msg,
| const ElemTemplateElement & styleNode,
| const XalanNode * sourceNode = 0 ) const`[virtual]`

Report a warning.

Parameters:

  msg | The text of the message.
  styleNode | The stylesheet node were the warning occurred.
  sourceNode | The source node where the warning occurred. May be 0.

Reimplemented from StylesheetExecutionContext.

The documentation for this class was generated from the following file:

- StylesheetExecutionContextDefault.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.7 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.